/**
 *Cineverse App
 * Implementing Cineverse App
 */
 var CineverseApp = CineverseApp || {};  //Define Cineverse App namespace.
 /**
  *Constructor UNAS App
  */
 CineverseApp.App = function () {
     this.id = 'Cineverse';
     this.name = 'Cineverse';
     this.version = '6.0.55';
     this.active = false;
     this.menuIcon = '/apps/cineverse/images/logo.png?v=' + this.version;
     this.shortcutIcon = '/apps/cineverse/images/logo.png?v=' + this.version;
     var self = this;
     this.CineverseAppWindow = function () {
         if (UNAS.CheckAppState('Cineverse')) {
             return false;
         }
         // jQuery.ajax({
         //     url: "/apps/cineverse/includes/index.php",
         //     data: JSON.stringify({"cmd": "cineverse_get_status", "token": UToken}),
         //     type: "POST",
         //     async: true,
         //     dataType: 'json',
         //     contentType: "application/json",
         //     timeout: 120000,
         //     success: function (data) {
         //         var ENABLED = 1;
         //
         //         var status = data.results.status;
         //         var reverseproxy = data.results.reverseproxy;
         //         var cineverse_port = data.results.port;
         //         if (status == ENABLED) {
         //             localStorage.setItem('enableCineverseAutoLogin', true);
         //             localStorage.removeItem('cineverse_credentials')
         //             localStorage.removeItem('_deviceId3')
         //             if (reverseproxy == ENABLED) {
         //                 cineverse_url = dirname(dirname(window.location.pathname)) + "/cineverse/";
         //             } else {
         //                 cineverse_url = "http://" + window.location.hostname + ":" + cineverse_port;
         //             }
         //             setTimeout(() => window.open(cineverse_url, '_blank'))
         //         } else {
         //             self.window = new MUI.Window({
         //                 id: 'CineverseAppWindow',
         //                 title: UNAS._('Cineverse'),
         //                 icon: '/apps/cineverse/images/logo_small.png?v=' + this.version,
         //                 loadMethod: 'xhr',
         //                 width: 750,
         //                 height: 480,
         //                 maximizable: false,
         //                 resizable: true,
         //                 scrollbars: false,
         //                 resizeLimit: {'x': [650, 1200], 'y': [450, 900]},
         //                 contentURL: '/apps/cineverse/cineverse.html?v=' + this.version,
         //                 // require: {  css: ['/apps/cineverse/css/cineverse.css'] },
         //                 onBeforeBuild: function () {
         //                     UNAS.SetAppOpenedWindow("Cineverse", 'CineverseAppWindow')
         //                 }
         //             });
         //         }
         //     },
         //     error: function (XMLHttpRequest, textStatus, errorThrown) {
         //         alert(textStatus);
         //     }
         // });
         //
         // function dirname(path) {
         //     return path.replace(/\\/g,'/').replace(/\/[^\/]*$/, '');
         // }

         self.window = new MUI.Window({
             id: 'CineverseAppWindow',
             title: UNAS._('Cineverse'),
             icon: '/apps/cineverse/images/logo_small.png?v=' + this.version,
             loadMethod: 'xhr',
             width: 750,
             height: 480,
             maximizable: false,
             resizable: true,
             scrollbars: false,
             resizeLimit: {'x': [650, 1200], 'y': [450, 900]},
             contentURL: '/apps/cineverse/cineverse.html?v=' + this.version,
             // require: {  css: ['/apps/cineverse/css/cineverse.css'] },
             onBeforeBuild: function () {
                 UNAS.SetAppOpenedWindow("Cineverse", 'CineverseAppWindow')
             }
         });
     };
     this.CineverseUninstall = function () {
         UNAS.RemoveDesktopShortcut('Cineverse');
         UNAS.RemoveMenu('Cineverse');
         //UNAS.RemoveAppFromGroups('Cineverse', 'Help');
         UNAS.RemoveAppFromGroups('Cineverse', 'ControlPanel');
         UNAS.RemoveAppFromApps('Cineverse');
     };
     new UNAS.Menu('UNAS_App_Multimedia_Menu', this.id, this.menuIcon, this.name, '', this.CineverseAppWindow);
     new UNAS.DesktopShortcut(this.id, this.shortcutIcon, this.name, this.CineverseAppWindow);
     //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
     //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
     var OnChangeLanguage = function (e) {
         UNAS.SetMenuTitle('Cineverse', UNAS._('Cineverse')); //translate menu
         UNAS.SetShortcutTitle('Cineverse', UNAS._('Cineverse'));
         if (typeof self.window !== 'undefined') {
             UNAS.SetWindowTitle('CineverseAppWindow', UNAS._('Cineverse'));
         }
     };
     UNAS.LoadTranslation('/apps/cineverse/languages/Translation?v=' + this.version, OnChangeLanguage);
     UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
     UNAS.CreateApp(this.name, this.shortcutIcon, this.CineverseAppWindow, this.CineverseUninstall);
 };

 new CineverseApp.App();
  